<template>
  <div class="branches">
  <div class="columns">
    <div class="column is-two-thirds">
    <div class="box">
      <the-header title="Informativos" subtitle="" />
      <the-table 
        :isLoading="isLoading"
        title="Informativos adicionados" 
        :content="informatives" 
        :columns="columns"
        v-on:createItem="createItem">
      </the-table>
    </div> <!-- box -->
      <the-back-button class="is-hidden-mobile" />
    </div> <!-- column -->
    <div class="column">
      <div class="box">
				<h2 class="title">Informações</h2>
        <div class="content">
          <p>Os informativos são produzidos pela Comunicação do Campus Acopiara e enviados por e-mail para todos os servidores do Campus.</p>
          <p>Caso não esteja recebendo os informativos no seu e-mail, entre em contato com o setor de Comunicação/Audiovisual.</p>
				</div> <!-- content -->
			</div>
      <the-back-button class="is-hidden-desktop" />
		</div> <!-- column -->
  </div> <!-- columns -->
  </div>
</template>

<script>
export default {
  name: 'IndexInformatives',
  data: function ()  {
    return {}
  },
  created () {
    this.$store.dispatch('getInformatives')
  },
  methods: {
    createItem: function () {
    },
  },
  computed: {
    informatives () {
      return this.$store.state.informatives.informatives
    },
    columns () {
      return [
        {
          field: 'published_at',
          label: 'Data de publicação',
					searchable: true
        },
        {
          field: 'title',
          label: 'Título',
          sortable: true,
					searchable: true
        },
        {
          field: 'link',
          label: 'Link de acesso',
          centered: true,
        },
      ]
      
    },
    isLoading () {
      return this.$store.state.informatives.loading
    },
    error () {
      return this.$store.state.informatives.error
    },
    errorMsg () {
      return this.$store.state.informatives.errorMsg
    }
  }
}
</script>
